module(...)
--magic editor build
DATA={
	atk_stophit=false,
	cmds={
		[1]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_1152/Prefabs/magic_eff_115201_hit.prefab]],
					preload=false,
				},
				excutor=[[vicobjs]],
				height=0.2,
			},
			func_name=[[BodyEffect]],
			start_time=0.05,
		},
		[2]={
			args={
				alive_time=0.1,
				ease_hide_time=0.05,
				ease_show_time=0.05,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_yellow02.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=0.05,
		},
		[3]={args={},func_name=[[End]],start_time=0.1,},
		[4]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.1,
		},
	},
	group_cmds={},
	pre_load_res={},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
